org.jgrapht.experimental

## Class GraphTests<V,E>

- java.lang.Object
- - org.jgrapht.experimental.GraphTests<V,E>

-     public final class GraphTests<V,E>
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <V,E> boolean` | `isBipartite(Graph<V,E> g)`
    `static <V,E> boolean` | `isComplete(Graph<V,E> g)`
    `static <V,E> boolean` | `isConnected(Graph<V,E> g)`
    `static <V,E> boolean` | `isEmpty(Graph<V,E> g)`
    `static <V,E> boolean` | `isTree(Graph<V,E> g)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isEmpty

          public static <V,E> boolean isEmpty(Graph<V,E> g)

    - #### isComplete

          public static <V,E> boolean isComplete(Graph<V,E> g)

    - #### isConnected

          public static <V,E> boolean isConnected(Graph<V,E> g)

    - #### isTree

          public static <V,E> boolean isTree(Graph<V,E> g)

    - #### isBipartite

          public static <V,E> boolean isBipartite(Graph<V,E> g)

Copyright © 2016. All rights reserved.